cancel
Showing results for 
Search instead for 
Did you mean: 

How to upgrade JDK and AWS SDK versions without changing the Hybris version

johncbpatigayon
Explorer
0 Kudos

On July 19, 2022, AWS updated their services to support the TLSv1.3.

JDK 1.8 (261) and higher versions automatically enables the TLSv1.3 version as default.

Reference: https://aws.amazon.com/blogs/developer/tls-1-3-incompatibility-with-aws-sdk-for-java-versions-1-9-5-...

We have 2 Hybris applications where we need to consider upgrading the JDK and/or AWS SDK versions without updating the Hybris version.

Application #1

Hybris version: 6.3.0.0

JDK version: Oracle 1.8.0_144 -> upgrade to 1.8.0_261

AWS SDK version: 1.9.19 -> upgrade to 1.10.32

Application #2

Hybris version: 6.6.0.16

JDK version: Oracle 1.8.0_131 -> upgrade to 1.8.0_261

AWS SDK version: 1.11.276

Please advise on how to perform the upgrade on JDK and AWS SDK versions without updating the Hybris versions.

Accepted Solutions (0)

Answers (0)